Package org.bukkit.material

# Class Wool

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Wool

All Implemented Interfaces:
  `Cloneable`, `Colorable`

@Deprecated public class Wool extends MaterialData implements Colorable
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a Wool/Cloth block

## Constructor Summary

Constructors
Constructor
Description
`Wool()`
Deprecated.
`Wool(DyeColor color)`
Deprecated.
`Wool(Material type)`
Deprecated.
`Wool(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Wool`
`clone()`
Deprecated.
`DyeColor`
`getColor()`
Deprecated.
Gets the current color of this dye
`void`
`setColor(DyeColor color)`
Deprecated.
Sets the color of this dye
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Wool

public Wool()
Deprecated.

### Wool

public Wool(DyeColor color)
Deprecated.

### Wool

public Wool(Material type)
Deprecated.

### Wool

@Deprecated public Wool(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getColor

public DyeColor getColor()
Deprecated.
Gets the current color of this dye

Specified by:
  `getColor` in interface `Colorable`
Returns:
  DyeColor of this dye

### setColor

public void setColor(DyeColor color)
Deprecated.
Sets the color of this dye

Specified by:
  `setColor` in interface `Colorable`
Parameters:
  `color` - New color of this dye

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Wool clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`